The abstract constructor

- « EventUtil

- EventUtil::getLastSocketErrno »

- PHP Manual
- EventUtil
- The abstract constructor

# EventUtil::__construct

(PECL event >= 1.2.6-beta)

EventUtil::__construct — The abstract constructor

### Description

abstract public EventUtil::__construct()

EventUtil is a singleton. Therefore the constructor is abstract, and it is impossible to create objects based on this class.

### Parameters

This function has no parameters.